### Method

# Gtk TextTag set_priority

#### Declaration [src]

    void
    gtk_text_tag_set_priority (
      GtkTextTag* tag,
      int priority
    )

#### Description [src]

Sets the priority of a `GtkTextTag`.

Valid priorities start at 0 and go to one less than `gtk_text_tag_table_get_size()`. Each tag in a table has a unique priority; setting the priority of one tag shifts the priorities of all the other tags in the table to maintain a unique priority for each tag.

Higher priority tags “win” if two tags both set the same text attribute. When adding a tag to a tag table, it will be assigned the highest priority in the table by default; so normally the precedence of a set of tags is the order in which they were added to the table, or created with `gtk_text_buffer_create_tag()`, which adds the tag to the buffer’s table automatically.

#### Parameters

`priority`

  Type: `int`

  The new priority.